/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.mda.config;

import org.tinygroup.mda.InputMode;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * 操作的条件字段()
 * */
@XStreamAlias("condition-field")
public class ConditionField {
	@XStreamAsAttribute
	String uuid;
	
	//对应字段uuid
	@XStreamAsAttribute
	@XStreamAlias("field-uuid")
	String fielduuid;
	
	//entitymodel中，该字段为空
	//viewmodel中，该字段可能为空
	//若为空，则fielduuid即viewgroupfield中的一个，若不为空，则fielduuid为此模型的字段的uuid
	@XStreamAsAttribute
	@XStreamAlias("model-uuid")
	String modeluuid;
	
	@XStreamAsAttribute
	@XStreamAlias("compare-mode")
	String compareMode;// 比较方式;
	
	@XStreamAsAttribute
	@XStreamAlias("aggregate-function")
	String aggregateFunction;// 聚合函数,如果有，就生成having子句
	
	//是否可编辑
	@XStreamAsAttribute
	boolean editable;
	//是否隐藏
	@XStreamAsAttribute
	boolean hidden;
	//展现方式
	@XStreamAsAttribute
	@XStreamAlias("input-mode")
	private InputMode inputMode;
	
	private ConditionValue value;
	
	public String getFielduuid() {
		return fielduuid;
	}
	public void setFielduuid(String fielduuid) {
		this.fielduuid = fielduuid;
	}
	public String getModeluuid() {
		return modeluuid;
	}
	public void setModeluuid(String modeluuid) {
		this.modeluuid = modeluuid;
	}
	public ConditionValue getValue() {
		return value;
	}
	public void setValue(ConditionValue value) {
		this.value = value;
	}
	public String getUuid() {
		return uuid;
	}
	public void setUuid(String uuid) {
		this.uuid = uuid;
	}
	
	
	public String getCompareMode() {
		return compareMode;
	}
	public void setCompareMode(String compareMode) {
		this.compareMode = compareMode;
	}
	public String getAggregateFunction() {
		return aggregateFunction;
	}
	public void setAggregateFunction(String aggregateFunction) {
		this.aggregateFunction = aggregateFunction;
	}
	public boolean isEditable() {
		return editable;
	}
	public void setEditable(boolean editable) {
		this.editable = editable;
	}
	public boolean isHidden() {
		return hidden;
	}
	public void setHidden(boolean hidden) {
		this.hidden = hidden;
	}
	public InputMode getInputMode() {
		return inputMode;
	}
	public void setInputMode(InputMode inputMode) {
		this.inputMode = inputMode;
	}
	
	
}
