/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.mda.config;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * @author chenjiao
 *
 */
@XStreamAlias("condition-value")
public class ConditionValue {
	@XStreamAsAttribute
	@XStreamAlias("const-value")
	String constValue;// 如果是固定值，则这里有值，否则为传入值
	
	@XStreamAsAttribute
	@XStreamAlias("default-value")
	String defaultValue;// 如果有默认值，则处理时，默认显示此值
	
	//对应字段uuid，在viewmodel中和modeluuid配合使用
	@XStreamAsAttribute
	@XStreamAlias("field-uuid")
	String fielduuid;
	
	//viewmodel中使用，该字段可能为空
	//若为空，则fielduuid即viewgroupfield中的一个
	//若不为空，则fielduuid为此模型的字段的uuid
	@XStreamAsAttribute
	@XStreamAlias("model-uuid")
	String modeluuid;

	@XStreamAsAttribute
	@XStreamAlias("aggregate-function")
	String aggregateFunction;// 聚合函数,如果有，就生成having子句
	
	
	public String getAggregateFunction() {
		return aggregateFunction;
	}

	public void setAggregateFunction(String aggregateFunction) {
		this.aggregateFunction = aggregateFunction;
	}

	public String getConstValue() {
		return constValue;
	}

	public void setConstValue(String constValue) {
		this.constValue = constValue;
	}

	public String getDefaultValue() {
		return defaultValue;
	}

	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}

	public String getFielduuid() {
		return fielduuid;
	}

	public void setFielduuid(String fielduuid) {
		this.fielduuid = fielduuid;
	}

	public String getModeluuid() {
		return modeluuid;
	}

	public void setModeluuid(String modeluuid) {
		this.modeluuid = modeluuid;
	}
	
	
}
