/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.mda.config;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

@XStreamAlias("group-field")
public class GroupField {
	//String standardFieldName;
	@XStreamAsAttribute
	@XStreamAlias("field-uuid")
	String fielduuid;
	
	//modeluuid为relatemodel的uuid
	//可为空
	//在实体模型中必为空
	//在视图模型中，若为空，则fielduuid为视图模型字段
	//若不为空，则fielduuid为此字段所指向模型的字段uuid
	@XStreamAsAttribute
	@XStreamAlias("model-uuid")
	String modeluuid;
	
	public String getFielduuid() {
		return fielduuid;
	}
	public void setFielduuid(String fielduuid) {
		this.fielduuid = fielduuid;
	}
	public String getModeluuid() {
		return modeluuid;
	}
	public void setModeluuid(String modeluuid) {
		this.modeluuid = modeluuid;
	}
	
	
}
