/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.mda.config.entity;

import java.util.ArrayList;
import java.util.List;

import org.tinygroup.mda.config.BaseObject;
import org.tinygroup.mda.config.ConditionField;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

@XStreamAlias("operation")
public class Operation extends BaseObject {
	@XStreamAsAttribute
	Boolean confirm;// 是否确认后再真正执行
	@XStreamAsAttribute
	String templete;// 显示模板
	@XStreamAsAttribute
	String url;// 提交地址
	// 条件属性和操作group的关系？
	@XStreamAlias("condition-fields")
	List<ConditionField> conditionFields;

	@XStreamAlias("operation-groups")
	List<OperationGroup> operationGroups;
	@XStreamAsAttribute
	String type;
	@XStreamAsAttribute
	@XStreamAlias("operation-object-type")
	String operationObjType;
	
	
	public String getOperationObjType() {
		return operationObjType;
	}

	public void setOperationObjType(String operationObjType) {
		this.operationObjType = operationObjType;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Boolean getConfirm() {
		return confirm;
	}

	public void setConfirm(Boolean confirm) {
		this.confirm = confirm;
	}

	public String getTemplete() {
		return templete;
	}

	public void setTemplete(String templete) {
		this.templete = templete;
	}

	public List<ConditionField> getConditionFields() {
		if (conditionFields == null)
			conditionFields = new ArrayList<ConditionField>();
		return conditionFields;
	}

	public void setConditionFields(List<ConditionField> conditionFields) {
		this.conditionFields = conditionFields;
	}

	public List<OperationGroup> getOperationGroups() {
		if (operationGroups == null)
			operationGroups = new ArrayList<OperationGroup>();
		return operationGroups;
	}

	public void setOperationGroups(List<OperationGroup> operationGroups) {
		this.operationGroups = operationGroups;
	}

}
