/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.mda.config.view;

import java.util.ArrayList;
import java.util.List;

import org.tinygroup.mda.config.BaseObject;
import org.tinygroup.mda.config.CategoryField;
import org.tinygroup.mda.config.ConditionField;
import org.tinygroup.mda.config.GroupField;
import org.tinygroup.mda.config.OrderField;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * 模型
 * 
 * @author luoguo
 * 
 */
@XStreamAlias("view-model")
public class ViewModel extends BaseObject {
	@XStreamAsAttribute
	private Boolean ignore;//是否跳过文件生成阶段
	@XStreamAlias("condition-fields")
	List<ConditionField> conditionFields;
	
	@XStreamAlias("category-fields")
	List<CategoryField> categoryFields;
	
	@XStreamAlias("view-model-groups")
	List<ViewModelGroup> viewGroups;
	
	@XStreamAlias("order-fields")
	List<OrderField> orderFields;
	
	@XStreamAlias("group-fields")
	List<GroupField> groupFields;
	
	@XStreamAlias("model-relations")
	List<ModelRelation> relations;
	
	@XStreamAsAttribute
	@XStreamAlias("package-name")
	private String packageName;

	
	@XStreamAlias("relate-models")
	List<RelateModel> relateModels;
	
	public Boolean getIgnore() {
		if(ignore==null){
			ignore = false;
		}
		return ignore;
	}



	public void setIgnore(Boolean ignore) {
		this.ignore = ignore;
	}
	
	public List<ConditionField> getConditionFields() {
		if(conditionFields==null)
			conditionFields = new ArrayList<ConditionField>();
		return conditionFields;
	}

	public void setConditionFields(List<ConditionField> conditionFields) {
		this.conditionFields = conditionFields;
	}

	public List<RelateModel> getRelateModels() {
		if(relateModels==null)
			relateModels = new ArrayList<RelateModel>();
		return relateModels;
	}

	public void setRelateModels(List<RelateModel> relateModels) {
		this.relateModels = relateModels;
	}

	public String getPackageName() {
		return packageName;
	}

	public void setPackageName(String packageName) {
		this.packageName = packageName;
	}

	public List<CategoryField> getCategoryFields() {
		if (categoryFields == null)
			categoryFields = new ArrayList<CategoryField>();
		return categoryFields;
	}

	public void setCategoryFields(List<CategoryField> categoryFields) {
		this.categoryFields = categoryFields;
	}

	public List<ViewModelGroup> getViewGroups() {
		if (viewGroups == null)
			viewGroups = new ArrayList<ViewModelGroup>();
		return viewGroups;
	}

	public void setViewGroups(List<ViewModelGroup> viewGroups) {
		this.viewGroups = viewGroups;
	}

	public List<OrderField> getOrderFields() {
		if (orderFields == null)
			orderFields = new ArrayList<OrderField>();
		return orderFields;
	}

	public void setOrderFields(List<OrderField> orderFields) {
		this.orderFields = orderFields;
	}

	public List<GroupField> getGroupFields() {
		if (groupFields == null)
			groupFields = new ArrayList<GroupField>();
		return groupFields;
	}

	public void setGroupFields(List<GroupField> groupFields) {
		this.groupFields = groupFields;
	}

	public List<ModelRelation> getRelations() {
		if (relations == null)
			relations = new ArrayList<ModelRelation>();
		return relations;
	}

	public void setRelations(List<ModelRelation> relations) {
		this.relations = relations;
	}
}
