/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.mda.config.view;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

@XStreamAlias("view-model-field")
public class ViewModelField {
	
	@XStreamAsAttribute
	@XStreamAlias("aggregate-function")
	String aggregateFunction;// 聚合函数,having
	
	@XStreamAsAttribute
	@XStreamAlias("relate-model-uuid")
	String relateModelUuid;
	
	@XStreamAsAttribute
	@XStreamAlias("entity-field-uuid")
	String entityFieldduuid;
	
	@XStreamAsAttribute
	String alias;
	
	@XStreamAsAttribute
	String uuid;
	
	public String getUuid() {
		return uuid;
	}
	public void setUuid(String uuid) {
		this.uuid = uuid;
	}
	public String getAggregateFunction() {
		return aggregateFunction;
	}
	public void setAggregateFunction(String aggregateFunction) {
		this.aggregateFunction = aggregateFunction;
	}
	
	
	public String getAlias() {
		return alias;
	}
	public void setAlias(String alias) {
		this.alias = alias;
	}
	public String getEntityFieldduuid() {
		return entityFieldduuid;
	}
	public void setEntityFielduuid(String entityFileduuid) {
		this.entityFieldduuid = entityFileduuid;
	}
	public String getRelateModelUuid() {
		return relateModelUuid;
	}
	public void setRelateModelUuid(String relateModelUuid) {
		this.relateModelUuid = relateModelUuid;
	}
	
}
