/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.mda.config.view;

import java.util.ArrayList;
import java.util.List;

import org.tinygroup.mda.config.BaseObject;

import com.thoughtworks.xstream.annotations.XStreamAlias;

/**
 * 字段分组
 * @author luoguo
 *
 */
@XStreamAlias("view-model-group")
public class ViewModelGroup extends BaseObject {
	
	@XStreamAlias("view-model-fields")
	List<ViewModelField> fields;

	public List<ViewModelField> getFields() {
		if(fields==null)
			fields = new ArrayList<ViewModelField>();
		return fields;
	}

	public void setFields(List<ViewModelField> fields) {
		this.fields = fields;
	}

}
