/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.mda.inputmode;

import org.tinygroup.mda.InputMode;
import org.tinygroup.mda.config.entity.EntityField;
import org.tinygroup.mda.config.entity.EntityModel;
import org.tinygroup.mda.config.entity.Operation;
import org.tinygroup.mda.config.entity.OperationField;
import org.tinygroup.mda.config.entity.View;
import org.tinygroup.mda.util.MDANameUtil;
import org.tinygroup.mda.util.MDAUtil;
import org.tinygroup.metadata.config.stdfield.StandardField;

public class TextFieldInputMode implements InputMode {

	public String getOperator() {
		// TODO Auto-generated method stub
		return null;
	}

	public String parse(EntityModel model, View view, Operation op, Object obj) {
		OperationField field = (OperationField)obj;
		EntityField entityfield = MDAUtil.getField(model, field.getEntityFielduuid());
		StandardField stdfield = MDAUtil.getField(entityfield.getStandardFieldId());
		String propertyName = MDANameUtil.getMDAName(stdfield.getName() );
		String insName = MDANameUtil.getBeanInsName(model.getName());
		StringBuffer sb = new StringBuffer();
		sb.append("#@fieldLabel (\"").append(stdfield.getTitle()).append("\")").append("\n");//fieldLabel开始 
		sb.append("#@text(").append("\n");//text开始 
		sb.append("\"").append(propertyName).append("\"").append("\n"); //id
		sb.append("\"").append(insName+"."+propertyName).append("\"").append("\n"); //name
		sb.append("\"$!").append(insName+"."+propertyName).append("\"").append("\n"); //value
		sb.append(")#end").append("\n");//text结束
		sb.append("#end").append("\n");//fieldLabel结束
		return sb.toString();
	}

}
