/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.mda.javabean.impl;

import org.tinygroup.logger.Logger;
import org.tinygroup.logger.LoggerFactory;
import org.tinygroup.mda.MDAFileCreator;
import org.tinygroup.mda.config.entity.EntityModel;
import org.tinygroup.mda.javabean.BeanDetial;
import org.tinygroup.mda.util.FileUtil;
import org.tinygroup.mda.util.ModelTransUtil;

public class EntityBeanFileVelocityCreator extends EntityJavaFileVelocityCreatorHelper
		implements MDAFileCreator<EntityModel> {

	private static final Logger logger = LoggerFactory
			.getLogger(EntityJavaFileVelocityCreatorHelper.class);
	private final String DEFAULT_BEAN_TEMPLATE_PATH = "/javatemplate/javaBean.mdatemplate";
	private final String BEAN_TEMPLATE_PATH = "bean_template";
	
	protected void initTemplate() {
		checkTemplate(BEAN_TEMPLATE_PATH, DEFAULT_BEAN_TEMPLATE_PATH);
	}
	
	protected void doCreateFile(EntityModel model, BeanDetial beanDetial,
			FileUtil fileUtil) {
		try {
			String content = ModelTransUtil.parseFile(context,
					templateMap.get(BEAN_TEMPLATE_PATH));
			// 写 bean java文件
			fileUtil.writeJavaFile(beanDetial.getPackageName()+".pojo",
					beanDetial.getName(), content);
		} catch (Exception e) {
			logger.errorMessage("模型[package:{0},name:{1}]生成java bean时出错", e,
					beanDetial.getPackageName(), beanDetial.getName());
		}
	}
}
